import React, { PureComponent } from 'react'

import Question from './Question.js'

import styles from './Questions.module.css'

class Questions extends PureComponent {
  render () {
    const { subjs } = this.props

    return (
      <div>
        {subjs.map((subj, i) => {
          return (
            <div key={i}>
              <div className={styles.subjName}>
                {subj.Name}
              </div>
              { subj.Questions.map((question, i) => {
                return (
                  <Question
                    key={i}
                    question={question}
                  />
                )
              })}
            </div>
          )
        })}
      </div>
    )
  }
}

export default Questions
