import Button from '../components/Button.js'
import Helps from '../components/Helps.js'

import styles from './contribute.module.css'
import repos from '../data/repos.json'

export default function contribute (props) {
  return (
    <div>
      <Helps />
      <hr />
      <div className={styles.description}>
        {repos.description}
      </div>
      <table className={styles.repoTable}>
        <thead>
          <tr>
            {repos.header.map((x, i) => {
              return (
                <td key={i}>
                  {x}
                </td>
              )
            })}
          </tr>
        </thead>
        <tbody>
          {Object.keys(repos.repos).map((key) => {
            let repo = repos.repos[key]
            return (
              <tr
                key={key}
              >
                <td>
                  {repo.description}
                </td>
                <td>
                  <a href={repo.href}>
                    GitLab repo
                  </a>
                </td>
                <td>
                  <a href={repo.href + '/tree/master/devel'}>
                    Devel docs
                  </a>
                </td>
              </tr>
            )
          })}
        </tbody>
      </table>
      <hr />
      <div className={styles.description}>
        IRC chat: egy IRC chatszoba van létrehozva egy random szerveren, ahol tudsz azonnal üzenni,
        és ha épp fent vagyok akkor azonnal válaszolok
      </div>
      <Button text='IRC chat' href='/irc' />
      <hr />
      <div className={styles.description}>
        Kérdés szerkesztő: Ezen az oldalon lehet szerkeszteni az összes kérdést, duplikációkat
        eltávolítani vagy helytelen válaszokat kijavítani kézzel. Ha van hozzá jelszavad, akkor ezt
        azonnal el tudod menteni, és éles adatbázis frissül ezzel, ha nincs és úgy érzed szeretnél
        akkor kattints a fenti 'IRC chat' gombra!
      </div>
      <Button text='Data Editor' href='/dataeditor' />
    </div>
  )
}
